org.apache.calcite.avatica.remote

## Interface AvaticaHttpClientFactory

All Known Implementing Classes:
  AvaticaHttpClientFactoryImpl

    public interface AvaticaHttpClientFactory

A factory for constructing `AvaticaHttpClient`'s.

### Method Summary

All Methods Instance Methods Abstract Methods
`AvaticaHttpClient` `getClient(URL url, ConnectionConfig config, KerberosConnection kerberosUtil)` Construct the appropriate implementation of `AvaticaHttpClient`.

### Method Detail

#### getClient

    AvaticaHttpClient getClient(URL url,
                                ConnectionConfig config,
                                KerberosConnection kerberosUtil)

Construct the appropriate implementation of `AvaticaHttpClient`.

Parameters:
  `url` - URL that the client is for.
  `config` - Configuration to use when constructing the implementation.
Returns:
  An instance of `AvaticaHttpClient`.